Bug 732301 - possible recursive locking detected 3.0.1-5.fc16.kh.ppc64 #1
Summary: possible recursive locking detected 3.0.1-5.fc16.kh.ppc64 #1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: ppc64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 18:39 UTC by Mark Hamzy
Modified: 2011-10-04 15:17 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 15:17:54 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2011-08-21 18:39:25 UTC
Description of problem:
Booting Fedora-20110817-ppc64-DVD.iso and using the following options
boot: linux vnc=1

has the following output:

[    4.467773] =============================================
[    4.467801] [ INFO: possible recursive locking detected ]
[    4.467816] 3.0.1-5.fc16.kh.ppc64 #1
[    4.467830] ---------------------------------------------
[    4.467846] udevd/276 is trying to acquire lock:
[    4.467865]  (&mm->mmap_sem){++++++}, at: [<c000000000044580>] .drop_cop+0x70/0x13c
[    4.467900]
[    4.467902] but task is already holding lock:
[    4.467918]  (&mm->mmap_sem){++++++}, at: [<c000000000699240>] .do_page_fault+0x244/0x72c
[    4.467955]
[    4.467956] other info that might help us debug this:
[    4.467975]  Possible unsafe locking scenario:
[    4.467977]
[    4.467990]        CPU0
[    4.467996]        ----
[    4.468003]   lock(&mm->mmap_sem);
[    4.468018]   lock(&mm->mmap_sem);
[    4.468032]
[    4.468034]  *** DEADLOCK ***
[    4.468036]
[    4.468052]  May be due to missing lock nesting notation
[    4.468054]
[    4.468069] 2 locks held by udevd/276:
[    4.468080]  #0:  (&buffer->mutex){+.+.+.}, at: [<c00000000024b878>] .sysfs_read_file+0x40/0x1a8
[    4.468114]  #1:  (&mm->mmap_sem){++++++}, at: [<c000000000699240>] .do_page_fault+0x244/0x72c
[    4.468153]
[    4.468154] stack backtrace:
[    4.468167] Call Trace:
[    4.468179] [c0000002713be780] [c000000000015764] .show_stack+0x94/0x144 (unreliable)
[    4.468221] [c0000002713be840] [c00000000069ff10] .dump_stack+0x24/0x2c
[    4.468255] [c0000002713be8c0] [c0000000000ee32c] .__lock_acquire+0x176c/0x17f4
[    4.468280] [c0000002713bea10] [c0000000000ee928] .lock_acquire+0x10c/0x128
[    4.468301] [c0000002713beb00] [c000000000695dac] .down_read+0x78/0x12c
[    4.468321] [c0000002713beba0] [c000000000044580] .drop_cop+0x70/0x13c
[    4.468345] [c0000002713bec40] [c0000000000448d4] .destroy_context+0x2c/0x50
[    4.468369] [c0000002713becd0] [c0000000000a895c] .__mmdrop+0x50/0x70
[    4.468388] [c0000002713bed60] [c000000000096cb4] .finish_task_switch+0x10c/0x15c
[    4.468409] [c0000002713bee00] [c0000000006930fc] .schedule+0x9f8/0xaf0
[    4.468424] [c0000002713bf080] [c0000000000a2fb4] .__cond_resched+0x2c/0x40
[    4.468440] [c0000002713bf110] [c000000000693534] ._cond_resched+0x3c/0x48
[    4.468456] [c0000002713bf190] [c0000000006952d4] .mutex_lock_nested+0x7c/0x490
[    4.468477] [c0000002713bf2a0] [c0000000001a0bf8] .anon_vma_prepare+0xc4/0x18c
[    4.468496] [c0000002713bf360] [c0000000001964ac] .handle_pte_fault+0x14c/0x9b0
[    4.468514] [c0000002713bf460] [c000000000197d78] .handle_mm_fault+0x15c/0x16c
[    4.468536] [c0000002713bf520] [c0000000006994a0] .do_page_fault+0x4a4/0x72c
[    4.468555] [c0000002713bf7d0] [c00000000000676c] handle_page_fault+0x20/0x74
[    4.468576] --- Exception: 301 at .__copy_tofrom_user+0xac/0x600
[    4.468578]     LR = .copy_to_user+0x70/0x84
[    4.468598] [c0000002713bfac0] [c000000000048b78] .copy_to_user+0x5c/0x84 (unreliable)
[    4.468622] [c0000002713bfb50] [c0000000001f7fb4] .simple_read_from_buffer+0x70/0x98
[    4.468644] [c0000002713bfc00] [c00000000024b9c0] .sysfs_read_file+0x188/0x1a8
[    4.468665] [c0000002713bfcc0] [c0000000001d0248] .vfs_read+0xd8/0x188
[    4.468682] [c0000002713bfd70] [c0000000001d0350] .SyS_read+0x58/0x88
[    4.468701] [c0000002713bfe30] [c000000000009928] syscall_exit+0x0/0x40


The full log is as follows:

Description of problem:
Booting Fedora-20110817-ppc64-DVD.iso and using the following options
boot: linux vnc=1

has the following output:

Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 04380000, size: 20017 Kbytes
OF stdout device is: /vdevice/vty@30000000
Preparing to boot Linux version 3.0.1-5.fc16.kh.ppc64 (mockbuild@ppc-comm02) (gcc version 4.6.1 20110804 (Red Hat 4.6.1-7) (GCC) ) #1 SMP Thu Aug 11 23:47:44 UTC 2011
Max number of cores passed to firmware: 32 (NR_CPUS = 128)
Calling ibm,client-architecture-support... done
command line: ro root=live:CDLABEL=PBOOT vnc=1
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 000000000570d000
  alloc_top    : 0000000010000000
  alloc_top_hi : 0000000010000000
  rmo_top      : 0000000010000000
  ram_top      : 0000000010000000
instantiating rtas at 0x000000000ee90000... done
boot cpu hw idx 0
starting cpu hw idx 4... done
starting cpu hw idx 8... done
starting cpu hw idx 12... done
starting cpu hw idx 16... done
starting cpu hw idx 20... done
starting cpu hw idx 24... done
starting cpu hw idx 28... done
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x000000000580e000 -> 0x000000000580f5a6
Device tree struct  0x0000000005810000 -> 0x0000000005826000
Calling quiesce...
returning from prom_init
[    0.000000] Phyp-dump disabled at boot time
[    0.000000] Using pSeries machine description
[    0.000000] Using 1TB segments
[    0.000000] Found initrd at 0xc000000004380000:0xc00000000570c5dc
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] Partition configured for 32 cpus.
[    0.000000] CPU maps initialized for 4 threads per core
[    0.000000] Starting Linux PPC64 #1 SMP Thu Aug 11 23:47:44 UTC 2011
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x1c
[    0.000000] physicalMemorySize            = 0x410000000
[    0.000000] htab_hash_mask                = 0x1fffff
[    0.000000] -----------------------------------------------------
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.0.1-5.fc16.kh.ppc64 (mockbuild@ppc-comm02) (gcc version 4.6.1 20110804 (Red Hat 4.6.1-7) (GCC) ) #1 SMP Thu Aug 11 23:47:44 UTC 2011
[    0.000000] [boot]0012 Setup Arch
[    0.000000] EEH: No capable adapters found
[    0.000000] PPC64 nvram contains 15360 bytes
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00410000
[    0.000000]   Normal   empty
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00280000
[    0.000000]     1: 0x00280000 -> 0x00410000
[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 462 pages/cpu @c000000010000000 s1862272 r0 d30080 u2097152
[    0.000000] Built 2 zonelists in Node order, mobility grouping on.  Total pages: 4201600
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: ro root=live:CDLABEL=PBOOT vnc=1
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] freeing bootmem node 0
[    0.000000] freeing bootmem node 1
[    0.000000] Memory: 16671756k/17039360k available (19016k kernel code, 367604k reserved, 1696k data, 12585k bss, 8720k init)
[    0.000000] SLUB: Genslabs=15, HWalign=128, Order=0-3, MinObjects=0, CPUs=32, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000]  RCU lockdep checking is enabled.
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] clocksource: timebase mult[7d0000] shift[22] registered
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 6367 kB
[    0.000000]  per task-struct memory footprint: 2688 bytes
[    0.000000] allocated 136314880 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.027634] pid_max: default: 32768 minimum: 301
[    0.027978] Security Framework initialized
[    0.027990] SELinux:  Initializing.
[    0.034269] Dentry cache hash table entries: 4194304 (order: 13, 33554432 bytes)
[    0.052136] Inode-cache hash table entries: 2097152 (order: 12, 16777216 bytes)
[    0.059655] Mount-cache hash table entries: 256
[    0.068214] Initializing cgroup subsys cpuacct
[    0.068252] Initializing cgroup subsys memory
[    0.069879] Initializing cgroup subsys devices
[    0.069888] Initializing cgroup subsys freezer
[    0.069895] Initializing cgroup subsys net_cls
[    0.069902] Initializing cgroup subsys blkio
[    0.069935] Initializing cgroup subsys perf_event
[    0.070071] ftrace: allocating 21817 entries in 129 pages
[    0.073595] POWER7 performance monitor hardware support registered
[    0.093613] Brought up 32 CPUs
[    0.094481] Enabling Asymmetric SMT scheduling
[    0.096846] devtmpfs: initialized
[    0.108157] atomic64 test passed
[    0.108531] NET: Registered protocol family 16
[    0.108588] IBM eBus Device Driver
[    0.134800] PCI: Probing PCI hardware
[    0.134818] io_event_irq: No ibm,io-events on system! IO Event interrupt disabled.
[    0.155660] bio: create slab <bio-0> at 0
[    0.156769] vgaarb: loaded
[    0.157733] SCSI subsystem initialized
[    0.158719] usbcore: registered new interface driver usbfs
[    0.158839] usbcore: registered new interface driver hub
[    0.159046] usbcore: registered new device driver usb
[    0.160603] NetLabel: Initializing
[    0.160610] NetLabel:  domain hash size = 128
[    0.160618] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.160826] NetLabel:  unlabeled traffic allowed by default
[    0.249795] DMA-API: preallocated 65536 debug entries
[    0.249816] DMA-API: debugging enabled by kernel config
[    0.249858] Switching to clocksource timebase
[    0.250376] Switched to NOHz mode on CPU #29
[    0.250381] Switched to NOHz mode on CPU #14
[    0.250385] Switched to NOHz mode on CPU #12
[    0.250390] Switched to NOHz mode on CPU #4
[    0.250423] Switched to NOHz mode on CPU #27
[    0.250433] Switched to NOHz mode on CPU #1
[    0.250438] Switched to NOHz mode on CPU #22
[    0.250447] Switched to NOHz mode on CPU #24
[    0.250451] Switched to NOHz mode on CPU #9
[    0.250456] Switched to NOHz mode on CPU #19
[    0.250460] Switched to NOHz mode on CPU #16
[    0.250492] Switched to NOHz mode on CPU #31
[    0.250495] Switched to NOHz mode on CPU #21
[    0.250517] Switched to NOHz mode on CPU #28
[    0.250520] Switched to NOHz mode on CPU #13
[    0.250633] Switched to NOHz mode on CPU #26
[    0.250653] Switched to NOHz mode on CPU #6
[    0.250769] Switched to NOHz mode on CPU #11
[    0.250774] Switched to NOHz mode on CPU #23
[    0.250778] Switched to NOHz mode on CPU #3
[    0.250960] Switched to NOHz mode on CPU #8
[    0.250963] Switched to NOHz mode on CPU #18
[    0.250984] Switched to NOHz mode on CPU #20
[    0.250986] Switched to NOHz mode on CPU #5
[    0.250992] Switched to NOHz mode on CPU #25
[    0.250995] Switched to NOHz mode on CPU #30
[    0.251009] Switched to NOHz mode on CPU #15
[    0.251066] Switched to NOHz mode on CPU #10
[    0.252208] Switched to NOHz mode on CPU #2
[    0.252211] Switched to NOHz mode on CPU #0
[    0.252216] Switched to NOHz mode on CPU #7
[    0.252219] Switched to NOHz mode on CPU #17
[    0.329923] NET: Registered protocol family 2
[    0.330921] IP route cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.335100] TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
[    0.339556] TCP bind hash table entries: 65536 (order: 10, 5242880 bytes)
[    0.345709] TCP: Hash tables configured (established 524288 bind 65536)
[    0.345744] TCP reno registered
[    0.346296] UDP hash table entries: 16384 (order: 9, 3145728 bytes)
[    0.350112] UDP-Lite hash table entries: 16384 (order: 9, 3145728 bytes)
[    0.354597] NET: Registered protocol family 1
[    0.355894] Unpacking initramfs...
[    3.799937] Freeing initrd memory: 20020k freed
[    3.805613] vio 30000000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.820309] IOMMU table initialized, virtual merging enabled
[    3.840313] vio 4000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.840427] vio 4001: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.840526] vio 4002: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.840630] vio 4004: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    3.842671] audit: initializing netlink socket (disabled)
[    3.842749] type=2000 audit(1313951079.837:1): initialized
[    3.970012] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    3.970040] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    3.992336] VFS: Disk quotas dquot_6.5.2
[    3.992678] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    3.996421] msgmni has been set to 32603
[    3.998043] cryptomgr_test used greatest stack depth: 12048 bytes left
[    3.998247] cryptomgr_test used greatest stack depth: 10784 bytes left
[    3.998843] alg: No test for stdrng (krng)
[    3.998875] NET: Registered protocol family 38
[    3.999182] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    3.999368] io scheduler noop registered
[    3.999374] io scheduler deadline registered
[    3.999817] io scheduler cfq registered (default)
[    3.999824] start plist test
[    4.001113] end plist test
[    4.003487] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    4.003587] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    4.006224] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    4.056517] TX39/49 Serial driver version 1.11
[    4.057699] Linux agpgart interface v0.103
[    4.063575] loop: module loaded
[    4.064396] Uniform Multi-Platform E-IDE driver
[    4.064808] ide-gd driver 1.18
[    4.066377] Fixed MDIO Bus: probed
[    4.066810] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    4.067082] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    4.067349] uhci_hcd: USB Universal Host Controller Interface driver
[    4.067967] usbcore: registered new interface driver usbserial
[    4.068090] USB Serial support registered for generic
[    4.068218] usbcore: registered new interface driver usbserial_generic
[    4.068226] usbserial: USB Serial Driver core
[    4.068599] mousedev: PS/2 mouse device common for all mice
[    4.069780] rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
[    4.071110] device-mapper: uevent: version 1.0.3
[    4.071785] device-mapper: ioctl: 4.20.0-ioctl (2011-02-02) initialised: dm-devel@redhat.com
[    4.074334] usbcore: registered new interface driver usbhid
[    4.074340] usbhid: USB HID core driver
[    4.076137] ip_tables: (C) 2000-2006 Netfilter Core Team
[    4.076350] TCP cubic registered
[    4.076356] Initializing XFRM netlink socket
[    4.077579] NET: Registered protocol family 10
[    4.081731] Mobile IPv6
[    4.081739] NET: Registered protocol family 17
[    4.081847] Registering the dns_resolver key type
[    4.084302] registered taskstats version 1
[    4.085317] rtc-generic rtc-generic: setting system clock to 2011-08-21 18:24:40 UTC (1313951080)
[    4.085327] Initializing network drop monitor service
[    4.089318] Freeing unused kernel memory: 8720k freed
[    4.098757] mknod used greatest stack depth: 10064 bytes left
[    4.107966] mount used greatest stack depth: 8544 bytes left
[    4.263281] dracut: dracut-013-1.fc16
[    4.312904] dracut: root was live:/dev/disk/by-label/PBOOT, liveroot is now live:CDLABEL=PBOOT
[    4.356783] udevd[234]: starting version 173
[    4.370570] rm used greatest stack depth: 8160 bytes left
[    4.447443] ibmveth 30000004: (unregistered net_device): unable to change checksum offload settings. 1 rc=0 ret_attr=2200
[    4.452590] ibmvscsi 30000002: SRP_VERSION: 16.a
[    4.452912] modprobe used greatest stack depth: 6448 bytes left
[    4.453083] scsi0 : IBM POWER Virtual SCSI Adapter 1.5.9
[    4.464831] ibmvscsi 30000002: partner initialization complete
[    4.464999] ibmvscsi 30000002: host srp version: 16.a, host partition vios (1), OS 3, max io 1048576
[    4.465129] ibmvscsi 30000002: Client reserve enabled
[    4.465150] ibmvscsi 30000002: sent SRP login
[    4.465229] ibmvscsi 30000002: SRP_LOGIN succeeded
[    4.467771]
[    4.467773] =============================================
[    4.467801] [ INFO: possible recursive locking detected ]
[    4.467816] 3.0.1-5.fc16.kh.ppc64 #1
[    4.467830] ---------------------------------------------
[    4.467846] udevd/276 is trying to acquire lock:
[    4.467865]  (&mm->mmap_sem){++++++}, at: [<c000000000044580>] .drop_cop+0x70/0x13c
[    4.467900]
[    4.467902] but task is already holding lock:
[    4.467918]  (&mm->mmap_sem){++++++}, at: [<c000000000699240>] .do_page_fault+0x244/0x72c
[    4.467955]
[    4.467956] other info that might help us debug this:
[    4.467975]  Possible unsafe locking scenario:
[    4.467977]
[    4.467990]        CPU0
[    4.467996]        ----
[    4.468003]   lock(&mm->mmap_sem);
[    4.468018]   lock(&mm->mmap_sem);
[    4.468032]
[    4.468034]  *** DEADLOCK ***
[    4.468036]
[    4.468052]  May be due to missing lock nesting notation
[    4.468054]
[    4.468069] 2 locks held by udevd/276:
[    4.468080]  #0:  (&buffer->mutex){+.+.+.}, at: [<c00000000024b878>] .sysfs_read_file+0x40/0x1a8
[    4.468114]  #1:  (&mm->mmap_sem){++++++}, at: [<c000000000699240>] .do_page_fault+0x244/0x72c
[    4.468153]
[    4.468154] stack backtrace:
[    4.468167] Call Trace:
[    4.468179] [c0000002713be780] [c000000000015764] .show_stack+0x94/0x144 (unreliable)
[    4.468221] [c0000002713be840] [c00000000069ff10] .dump_stack+0x24/0x2c
[    4.468255] [c0000002713be8c0] [c0000000000ee32c] .__lock_acquire+0x176c/0x17f4
[    4.468280] [c0000002713bea10] [c0000000000ee928] .lock_acquire+0x10c/0x128
[    4.468301] [c0000002713beb00] [c000000000695dac] .down_read+0x78/0x12c
[    4.468321] [c0000002713beba0] [c000000000044580] .drop_cop+0x70/0x13c
[    4.468345] [c0000002713bec40] [c0000000000448d4] .destroy_context+0x2c/0x50
[    4.468369] [c0000002713becd0] [c0000000000a895c] .__mmdrop+0x50/0x70
[    4.468388] [c0000002713bed60] [c000000000096cb4] .finish_task_switch+0x10c/0x15c
[    4.468409] [c0000002713bee00] [c0000000006930fc] .schedule+0x9f8/0xaf0
[    4.468424] [c0000002713bf080] [c0000000000a2fb4] .__cond_resched+0x2c/0x40
[    4.468440] [c0000002713bf110] [c000000000693534] ._cond_resched+0x3c/0x48
[    4.468456] [c0000002713bf190] [c0000000006952d4] .mutex_lock_nested+0x7c/0x490
[    4.468477] [c0000002713bf2a0] [c0000000001a0bf8] .anon_vma_prepare+0xc4/0x18c
[    4.468496] [c0000002713bf360] [c0000000001964ac] .handle_pte_fault+0x14c/0x9b0
[    4.468514] [c0000002713bf460] [c000000000197d78] .handle_mm_fault+0x15c/0x16c
[    4.468536] [c0000002713bf520] [c0000000006994a0] .do_page_fault+0x4a4/0x72c
[    4.468555] [c0000002713bf7d0] [c00000000000676c] handle_page_fault+0x20/0x74
[    4.468576] --- Exception: 301 at .__copy_tofrom_user+0xac/0x600
[    4.468578]     LR = .copy_to_user+0x70/0x84
[    4.468598] [c0000002713bfac0] [c000000000048b78] .copy_to_user+0x5c/0x84 (unreliable)
[    4.468622] [c0000002713bfb50] [c0000000001f7fb4] .simple_read_from_buffer+0x70/0x98
[    4.468644] [c0000002713bfc00] [c00000000024b9c0] .sysfs_read_file+0x188/0x1a8
[    4.468665] [c0000002713bfcc0] [c0000000001d0248] .vfs_read+0xd8/0x188
[    4.468682] [c0000002713bfd70] [c0000000001d0350] .SyS_read+0x58/0x88
[    4.468701] [c0000002713bfe30] [c000000000009928] syscall_exit+0x0/0x40
[    4.475947] ibmvscsi 30000003: SRP_VERSION: 16.a
[    4.476350] scsi1 : IBM POWER Virtual SCSI Adapter 1.5.9
[    4.478358] ibmvscsi 30000003: partner initialization complete
[    4.478432] ibmvscsi 30000003: host srp version: 16.a, host partition vios (1), OS 3, max io 262144
[    4.478524] ibmvscsi 30000003: Client reserve enabled
[    4.478550] ibmvscsi 30000003: sent SRP login
[    4.478583] ibmvscsi 30000003: SRP_LOGIN succeeded
[    4.498532] scsi 0:0:1:0: Direct-Access     AIX      VDASD            0001 PQ: 0 ANSI: 3
[    4.499582] scsi 0:0:2:0: CD-ROM            AIX      VOPTA                 PQ: 0 ANSI: 4
[    8.621223] sd 0:0:1:0: [sda] 62914560 512-byte logical blocks: (32.2 GB/30.0 GiB)
[    8.621307] sd 0:0:1:0: Attached scsi generic sg0 type 0
[    8.621386] sd 0:0:1:0: [sda] Write Protect is off
[    8.621397] sd 0:0:1:0: [sda] Mode Sense: 17 00 00 08
[    8.621537] sd 0:0:1:0: [sda] Cache data unavailable
[    8.621545] sd 0:0:1:0: [sda] Assuming drive cache: write through
[    8.622985] sd 0:0:1:0: [sda] Cache data unavailable
[    8.622995] sd 0:0:1:0: [sda] Assuming drive cache: write through
[    8.623124] sr0: scsi-1 drive
[    8.623131] cdrom: Uniform CD-ROM driver Revision: 3.20
[    8.623870] sr 0:0:2:0: Attached scsi CD-ROM sr0
[    8.624684] sr 0:0:2:0: Attached scsi generic sg1 type 5
[    8.630803]  sda: unknown partition table
[    8.631723] sd 0:0:1:0: [sda] Cache data unavailable
[    8.631732] sd 0:0:1:0: [sda] Assuming drive cache: write through
[    8.631742] sd 0:0:1:0: [sda] Attached SCSI disk
[    8.961147] ISO 9660 Extensions: Microsoft Joliet Level 3
[    8.965914] ISO 9660 Extensions: RRIP_1991A


[   28.461031] dracut Warning: No root device "live:/dev/disk/by-label/PBOOT" found
dracut Warning: No root device "live:/dev/disk/by-label/PBOOT" found

Dropping to debug shell.

sh: can't access tty; job control turned off
dracut:/#

Comment 1 IBM Bug Proxy 2011-09-13 15:10:40 UTC
------- Comment From baude@us.ibm.com 2011-09-13 11:03 EDT-------
---Problem Description---
possible recursive locking detected 3.0.1-5.fc16.kh.ppc64 #1

Contact Information = reverse mirror

---uname output---
Linux localhost.localdomain 3.0.1-5.fc16.kh.ppc64 #1 SMP Thu Aug 11 23:47:44 UTC 2011 ppc64 ppc64 ppc64 GNU/Linux

Machine Type = other

---Debugger---
A debugger is not configured

---Kernel Component Data---
Stack trace output:
no

Oops output:
no

System Dump Info:
The system is not configured to capture a system dump.

*Additional Instructions for reverse mirror:
-Attach sysctl -a output output to the bug.

Comment 2 IBM Bug Proxy 2011-09-26 01:00:22 UTC
------- Comment From anton@au.ibm.com 2011-09-25 20:50 EDT-------
FYI the fix going into upstream is:

http://patchwork.ozlabs.org/patch/114701/

Comment 3 Karsten Hopp 2011-10-04 15:17:54 UTC
fixed in the latest kernels


Note You need to log in before you can comment on or make changes to this bug.